<?php $this->load->view("common/header"); ?>



<!-- end: CSS REQUIRED FOR THIS PAGE ONLY -->
<!-- end: HEAD -->
<!-- start: BODY -->
<body>

<!-- start: HEADER -->
<div class="navbar navbar-inverse navbar-fixed-top"> 
  <!-- start: TOP NAVIGATION CONTAINER -->
  <div class="container">
    <div class="navbar-header"> 
      <!-- start: RESPONSIVE MENU TOGGLER -->
      <button data-target=".navbar-collapse" data-toggle="collapse" class="navbar-toggle" type="button"> <span class="clip-list-2"></span> </button>
      <!-- end: RESPONSIVE MENU TOGGLER --> 
      <!-- start: LOGO -->
      <?php $this->load->view("common/logo"); ?>
      <!-- end: LOGO --> 
    </div>
    <div class="navbar-tools"> 
      <!-- start: TOP NAVIGATION MENU -->
      <?php $this->load->view("common/notifications.php"); ?>
      <!-- end: TOP NAVIGATION MENU --> 
    </div>
  </div>
  <!-- end: TOP NAVIGATION CONTAINER --> 
</div>
<!-- end: HEADER --> 
<!-- start: MAIN CONTAINER -->
<div class="main-container">
<div class="navbar-content"> 
  <!-- start: SIDEBAR -->
  <?php $this->load->view("common/navigation"); ?>
  <!-- end: SIDEBAR --> 
</div>
<!-- start: PAGE -->
<div class="main-content">
<!-- end: SPANEL CONFIGURATION MODAL FORM -->
<div class="container">
<!-- start: PAGE HEADER -->
<div class="row">
  <div class="col-sm-12"> 
    <!-- start: PAGE TITLE & BREADCRUMB -->
    <ol class="breadcrumb">
      <li> <a href="#"> Dashboard </a> </li>
      <li> <a href="<?php echo base_url(''); ?>"> Loading </a> </li>
      <li class="active"> Item Issue </li>
      <li class="search-box">
        <form class="sidebar-search">
          <div class="form-group">
            <input type="text" placeholder="Start Searching...">
            <button class="submit"> <i class="clip-search-3"></i> </button>
          </div>
        </form>
      </li>
    </ol>
    <div class="page-header">
      <h1>Warehouse stock receive 
        <?php if($type=='A'){echo "Add";} if($type=="E"){echo "Edit";} ?>
      </h1>
    </div>
    <p>Please fill in the information below. The field labels marked with * are required input fields.</p>
  </div>
</div>
<!-- end: PAGE HEADER --> 
<!-- start: PAGE CONTENT 
                    <!-- start grid -->

<div class="row">
  <div class="col-md-12"> 
    <!-- start: DYNAMIC TABLE PANEL -->
    <div class="panel panel-default">
      <div class="panel-heading"> <i class="fa fa-plus"></i> Warehouse stock receive
      
      </div>
      <div class="panel-body">
        <div class="alert alert-danger" style="display:none;">
          <button class="close" data-dismiss="alert"> × </button>
          <i class="fa fa-times-circle"></i> <strong></strong> <span class="errortxt"></span> </div>
        <div class="alert alert-success" style="display:none;">
          <button class="close" data-dismiss="alert"> × </button>
          <i class="fa fa-check-circle"></i> <strong></strong><span class="succetxt"></span> </div>
        <form role="form" class="form-horizontal" id="create_sales_form" action="#" method="post">
          <div class="col-md-12"></div>
          <!--col-md-12-->
          <div class="col-md-12">
            <div class="col-md-2">
              <div class="form-group">
                <label>Date *</label>
                <?php $nowdate=date("Y-m-d H:i:s");?>
                <input id="sales_rep_issue_datetime" name="sales_rep_issue_datetime" type='text' class="form-control date" value="" data-bv-field="date"/>
              </div>
            </div>
          
            <div class="col-md-6" style="margin-right:2%;">
              <div class="form-group">
                <label>Delivery </label>
                <select  id="delivery_id" class="form-control search-select" name="delivery_id"  >
                  <option value="">- Please Select -</option>
                  <?php 	
									
						foreach ($delivery_list as $row)
							{?>
                  <option  value="<?php echo $row['id'];?>"
                            > <?php echo $row['loading_ref_no'];?> | <?php echo date('Y-m-d', strtotime($row['loading_date_time']));?> | <?php echo $row['area_name'];?> |  <?php echo $row['vehicle_code'];?> | <?php echo $row['user_first_name'];?>  </option>
                  <?php }  ?>
                </select>
              </div>
            </div>
            
            <div class ="col-md-3" style="margin-right:2%;">
              <div class ="form-group">
                <label>Warehouse *</label>
                <select id="warehouse_id" class="form-control search-select" name ="warehouse_id">
                  <?php																 
foreach ($warehouse_list as $row)
{?>
                  <option value="<?php echo $row->id; ?>" 

<?php  if(isset($sale_rep_issue_id)&&$row->id==$sales_rep_issue_details['wharehouse_id'])echo 'selected="selected"'?>
> <?php echo $row->name; ?> </option>
                  <?php }?>
                </select>
              </div>
            </div>
          </div>
          <!--col-md-8--> 
          
          <!-- item add box-->
          <div id="sticker" class="col-md-12">
            <div class="well well-sm">
              <div class="form-group"> 
                <!-- auto complete start -->
                <div class="input-group wide-tip">
                  <div style="padding-left: 10px; padding-right: 10px;" class="input-group-addon"> <i class="fa fa-2x fa-barcode addIcon"></i> </div>
                  <input type="text" placeholder="Please add products to order list" id="add_item" class="form-control input-lg" value="" name="add_item" onClick="add_items()" style="border-radius: 6px;font-size: 18px;height: 46px;line-height: 1.33;padding: 10px 16px;">
                </div>
                <!-- end auto complete end --> 
                
              </div>
              <div class="clearfix"></div>
              <div class="control-group table-group">
                <label class="table-label">Order Items</label>
                <div class="controls table-controls">
                  <table class="table items table-striped table-bordered table-condensed table-hover" id="soTable">
                    <thead>
                      <tr>
                        <th class="col-md-1">No</th>
                        <th class="col-md-6">Product Name (Product Code)</th>
                        <th class="col-md-2">Selling Price</th>
                        <th class="col-md-1">Quantity</th>
                        <th class="col-md-1 text-right">Discount </th>
                        <th class="col-md-1 text-right">Subtotal<span class="currency"></span> </th>
                        <th style="width: 30px !important; text-align: center;"><i class="fa fa-trash-o"></i></th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr data-item-id="144680019784" class="row_144680019784" id="row_1446800197032">
                        <td></td>
                        <td class="text-right"></td>
                        <td></td>
                        <td class="text-right"></td>
                        <td class="text-right"></td>
                        <td class="text-center"></td>
                      </tr>
                    </tbody>
                    <tfoot>
                      </tr>
                      
                      <tr class="tfoot active" id="tfoot">
                        <th colspan="4" class="text-right">Total Amount</th>
                        <th class="text-right"><span id="Subtotal">0.00</span></th>
                      </tr>
                    </tfoot>
                  </table>
                  
                  <!-- start list --> 
                  <!-- end list --> 
                </div>
              </div>
            </div>
            <!-- end item add box-->
            
            <div id="extras-con" class="row"> </div>
          </div>
          <div class="col-md-12">
            <div class="modal-footer" style="margin-bottom:10px;">
              <?php if($type=='A') 
							{
							$save_btn_text='Issue';
							}
							if($type=='E')
							{   
    
								
								
								
							$save_btn_text='Update';
							}						
							?>
              <input type="submit" class="btn btn-primary" value="<?php echo $save_btn_text ?>" name="sales_rep_issue" id="sales_rep_issue">
              <button id="reset" class="btn btn-danger" type="button">Reset</button>
            </div>
          </div>
          <input name="sale_inv_discount_amount" type="hidden" id="sale_inv_discount_amount" value="0">
          <input name="sale_total" type="hidden" id="sale_total" value="0">
          <input name="sale_paid" type="hidden" id="sale_paid" value="0">
          <input name="sale_balance" type="hidden" id="sale_balance" value="0">
          <input name="rowCount" type="hidden" id="rowCount" value="0">
          <input name="cost_total" type="hidden" id="cost_total" value="0">
          <input name="cus_credit_limit" type="hidden" id="cus_credit_limit" value="10000">
          <input name="base_url" type="hidden" id="base_url" value="<?php echo base_url();?>">
        </form>
        
        <!-- end: DYNAMIC TABLE PANEL --> 
        
        <!-- footer amount details -->
        <div style="margin-bottom: 0px; position: fixed; bottom: 0px; width: 1082px; z-index: 50000;" class="well well-sm" id="bottom-total">
          <table style="margin-bottom:0;" class="table table-bordered table-condensed totals">
            <tbody>
              <tr class="warning">
                <td width="20%" class="credit_limit_td_class">Credit Limit <span id="credit_limit_txt" class="credit_limit_val pull-right">0.00</span></td>
                <td class="previous_bill_td_class" style="display:none;">Previous Bill <span id="previous_bill_txt" class="pull-right">0.00</span></td>
                <td width="30%">Total <span id="f_total" class="totals_val pull-right">0.00</span></td>
                <td width="20%">Order Discount <span id="tds" class="totals_val pull-right">0.00</span></td>
                <td>Grand Total <span id="gtotal" class="totals_val pull-right">0.00</span></td>
              </tr>
            </tbody>
          </table>
        </div>
        <!-- end footer amount details --> 
        
      </div>
    </div>
    
    <!-- end grid --> 
    
  </div>
  <!-- end: PAGE --> 
</div>
<!-- end: MAIN CONTAINER --> 
<!-- start: FOOTER -->
<div class="footer clearfix">
  <div class="footer-inner"> 2014 &copy; clip-one by cliptheme. </div>
  <div class="footer-items"> <span class="go-top"><i class="clip-chevron-up"></i></span> </div>
</div>
<!-- end: FOOTER --> 
<!-- start: RIGHT SIDEBAR --> 
<!-- end: RIGHT SIDEBAR -->
<div id="event-management" class="modal fade" tabindex="-1" data-width="760" style="display: none;">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"> &times; </button>
        <h4 class="modal-title">Event Management</h4>
      </div>
      <div class="modal-body"></div>
      <div class="modal-footer">
        <button type="button" data-dismiss="modal" class="btn btn-light-grey"> Close </button>
        <button type="button" class="btn btn-danger remove-event no-display"> <i class='fa fa-trash-o'></i> Delete Event </button>
        <button type='submit' class='btn btn-success save-event'> <i class='fa fa-check'></i> Save </button>
      </div>
    </div>
  </div>
</div>
<input name="tmpVal" type="hidden" id="tmpVal" value="0">
<input name="" id="type_sale" type="hidden" value="22">
<!-- start ajax model -->
<div id="ajax-modal" class="modal fade" data-backdrop="static" data-keyboard="false" tabindex="-1" style="display: none;"></div>
<!-- end ajax model --> 

<!-- start: MAIN JAVASCRIPTS -->
<?php $this->load->view("common/footer"); ?>
<script src="<?php echo asset_url(); ?>js/jquery-ui.js" ></script> 
<script src="<?php echo asset_url(); ?>js/moment-with-locales.js"></script> 
<script type="text/javascript" src="<?php echo asset_url(); ?>js/bootstrap-datetimepicker.js"></script> 
<script type="text/javascript" src="<?php echo asset_url(); ?>js/bootbox.min.js"></script> 
<script type="text/javascript" src="<?php echo asset_url(); ?>js/accounting.js"></script> 
<script type="text/javascript" src="<?php echo asset_url(); ?>js/accounting.min.js"></script> 

<!-- end: MAIN JAVASCRIPTS --> 

<!-- start: JAVASCRIPTS REQUIRED FOR THIS PAGE ONLY VALIDATION--> 
<script src="<?php echo asset_url(); ?>js/form-validation-create_sales -rep-issue.js"></script> 
<script src="<?php echo asset_url(); ?>js/sales_rep_issue.js"></script> 
<!-- end: JAVASCRIPTS REQUIRED FOR THIS PAGE ONLY  VALIDATION--> 

<script>
var rowcount=1;

function addextraprice(){
	calculateTotal();
}

clearForm();

$('#add_item').keypress(function(e){	
    if ( e.which == 13 ) return false;
    //or...
    if ( e.which == 13 ) e.preventDefault();
 });

function changeQtyByProductID(qty,nxtCount)
{
	calculateTotal();
}


function insertSalesData(){
		
var type='A';
var sale_reference_no=$('#sale_reference_no').val();
var fields = $("#create_sales_form").serialize();
var rowCount=$('#rowCount').val();

	  if(rowCount!=0){
		  $("#sales_rep_issue").prop("disabled", true);
		  $("#sales_rep_issue").val('Please wait...');
		$.post( "<?php echo base_url();?>marketing_delivery_process/save_received_stock", fields)
	  .done(function( data ) {
		  var obj = jQuery.parseJSON(data);
			if(obj.error==1){				
				$('.alert-success').hide();
				$('.alert-danger').show();
				$( ".errortxt" ).text( obj.disMsg );
				window.scrollTo(500, 0);
				//empty item table		
			}
			if(obj.error==0){				
				window.scrollTo(500, 0);				
				$("#soTable > tbody").empty();
				displayNotice('page','Stock successfully updated!');
				clearForm();
				location.reload(true);						
			}				
	  });	  
return false;
	  }else  {
		 bootbox.alert('Please add products.', function () {
                        $('#add_item').focus();
                    });
	  }	  
}

function add_items(){
        
		var check_delivery=document.getElementById("delivery_id").value;;		
		var check_warehose=document.getElementById("warehouse_id").value;				
		if(check_delivery==""||check_warehose=="")
		{
			if(check_delivery==""&&check_warehose!="")
			{
			bootbox.alert('Please Select Delivery.', function () {
                        $('#add_item').focus();
                    });			
			}
			if(check_warehose==""&&check_delivery!="")
			{
			bootbox.alert('Please Select Warehouse.', function () {
                        $('#add_item').focus();
                    });	
							
			}
			if(check_warehose==""&&check_delivery=="")
			{
			bootbox.alert('Please Select Delivery & Warehouse.', function () {
                        $('#add_item').focus();
                    });								
			}		 
		}		
		else{
		
        $("#add_item").autocomplete(
		{
            source: '<?php echo base_url();?>marketing_process/get_product_suggestion?t='+$("#in_type").val(),
            minLength: 1,
            autoFocus: false,
            delay: 5,
            response: function (event, ui) {
			
				if (ui.content.length == 1 && ui.content[0].product_id != 0)
				{
					
				}else if(ui.content.length ==0){
					var noResult = { value:"",label:"No matching result found! Product might be out of stock in the selected warehouse." };
            		ui.content.push(noResult);
				}else {
				}			
            },
            select: function (event, data) {
				//alert( "You selected: " + data.item.product_id );
				if(data.item.value){
					
					//check is added prodcut
					rowCount=parseInt($('#rowCount').val());
					var tmp='';
					if(rowCount){
	  					tmp=isAddedProduct(data.item.product_id);
					}
	   				if(!tmp){
				addProductToListByID(rowcount,data.item.product_id,data.item.product_name,data.item.product_code,data.item.product_price,data.item.product_part_no,data.item.product_oem_part_number,data.item.item_cost);
				rowcount=rowcount+1;				
				$('#sales_rep_id option:not(:selected)').prop('disabled', true);
				$('#warehouse_id option:not(:selected)').prop('disabled', true);
				
					}else {
						calculateTotal();
					}				
				$("#add_item").val('');
					 return false;
				}
				$(this).autocomplete('close');
                    $(this).removeClass('ui-autocomplete-loading');				
            }
        });
		
		}
}	
		
	$(window).scroll(function() {
   if($(window).scrollTop() + $(window).height() == $(document).height()) {      
	   $('#bottom-total').css({
        position: 'static',
		width: '100%'
    });
   }else {
	    $('#bottom-total').css({
        position: 'fixed',
		width: '1082px'
    });
   }
});

//function to initiate bootstrap-datepicker
$(function () {
	var currentDate = new Date();
	$('#sales_rep_issue_datetime').datetimepicker({
		defaultDate: new Date()		
		});
	$("#warehouse_id").select2();
	$("#delivery_id").select2();	
});	

$(document).ready(function() {	
	 $('#in_type').focus();	 
	 calculateTotal();
$(".noEnterSubmit").on('keyup', function (e) {   
});

$('#sales_rep_issue').keypress(function(event){	
});
	
  $(window).keydown(function(event){
	 $(":focus").each(function() {    
	focus_id=this.id;	
	  var rowCount=$('#rowCount').val();
	  var fld='quantity_'+rowCount;
	  if(focus_id==fld){
		if(event.keyCode == 16) {
			  $('#add_item').focus();
		}
	  }
    if(event.keyCode == 18) {
		calculateTotal();		
	setTimeout(function(){  
	  $("#create_sales_form").submit()
    //do something special	
  }, 1000);	
    }		  
    if(event.keyCode == 13) {
      event.preventDefault();
     return false;
    }
  });
  
  });
});


window.onload = function () {
    if (! localStorage.justOnce) {
        localStorage.setItem("justOnce", "true");
        window.location.reload();
    }
}
</script>
</body>
<!-- end: BODY -->
</html>